Questions tagged [use-package]

is a macro package to isolate Emacs configuration lines in the init file. By isolating related lines, the configuration performs better and is easier to maintain.

45 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
5
votes
0answers
111 views

use-package's :after directive

I saw that use-package has an :after section that can be used, which: Defer loading of a package until after any of the named features are loaded. The wording uses "any" instead of "all", so would ...
4
votes
0answers
746 views

error autoloading failed to define function when loading custom file

I recently decided rewrite my emacs configuration. I want to load my custom org configuration only in the case when I am opening a *.org file. Considering a minimalistic configuration of init.el (use-...
2
votes
0answers
120 views

Installing quelpa-use-package from use-package

Currently I have the following init file to install and use use-package: ;; Package.el (require 'package) (package-initialize) (setq package-enable-at-startup nil) (add-to-list 'package-archives '(&...
2
votes
0answers
569 views

init error: file missing - cl-generic after any time I edit settings.org file

I am using org mode to organize my various Emacs settings. Within my init.el file I just have (taking out initial comments): ;;; Code: (package-initialize) (eval-when-compile (require 'use-package))...
2
votes
0answers
203 views

How to autoload a custom group?

I put my custom js setting into zwb-js group in zwb-js.el, I want to use use-package to load it, it seems that zwb-js.el has been loaded, but the functions defined in zwb-js.el seems not be called ...
2
votes
0answers
636 views

Custom configuration layer for multi-term is ignored

I've created a new configuration layer (read more about it below) for multi-term but the settings specified there don't seem to apply. Here is the code in particular ;;; packages.el --- rgp-multi-...
2
votes
0answers
1k views

Stop Yasnippet from autoloading

Is there a way to stop Yasnippet from autoloading? I installed it from melpa (v.20141102.1554), and have no reference to it in my init files. However, keeps up autoloading whenever I run emacs. I only ...
1
vote
0answers
35 views

why doesn't use-package :defines stop this “variable is void” error?

Error (use-package): w3m/:config: Symbol’s value as variable is void: w3m-filter-configuration I have a use-package statement that was producing an error because apparently emacs-w3m doesn't configure ...
1
vote
0answers
31 views

Package autoloading and use-package

I'm a beginner on emacs and I don't understand packages autoloading and use-package. I see a lot of configs online which use 'use-package' and recommends installing packages with package manager (...
1
vote
0answers
38 views

How to specify that a package uses my key bindings

For example, I use M-s as isearch-forward: (global-set-key (kbd "M-s") 'isearch-forward) When I try to install isearch+ with use-package: (use-package isearch+ :straight t) I get the ...
1
vote
0answers
44 views

Cannot call use-package on Emacs master

I can't use use-package with Emacs master. How can I find out why this is? For me, all calls (via eval-last-sexp) to use-package fail as Error (use-package): Cannot load X Disable showing Disable ...
1
vote
0answers
38 views

use-package & quelpa: resolve dependencies with elpa?

When modifying some packages I'm using (use-package :load-path "my-forked-project") but to make my config work in any machine I want get that package from say my github repo. I'm now trying ...
1
vote
2answers
65 views

how to extract options I saved with customize and insert it inside use-package lines?

Suppose I did some customization through M-x customize-mode or something similar '(org-agenda-custom-commands '(("n" "Agenda and all TODOs" ((agenda "" nil) ...
1
vote
0answers
53 views

Manually installed pdf-tools breaks package handling because it is not recognized as a dependency

The situation is: I install pdf-tools manually and load it with the following snippet: (use-package pdf-tools :pin manual :load-path "my/load/path/to/the/git/repo/lisp" :config .......
1
vote
1answer
76 views

Unable to install Eclim for Eclipse in emacs

$ sudo apt install eclipse eclipse-jdt Then, tried to install eclim using use-package in Emacs: (use-package eclim :ensure t :config (require 'eclim) (setq eclimd-autostart t) (defun ...
1
vote
0answers
334 views

use-package org-mode :hook is being ignored

I'm currently running this version of Emacs: GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.7) of 2019-04-11, modified by Debian I'm attempting to use use-package to configure the ...
1
vote
0answers
145 views

use-package do not bind in latex-mode-map

this is a part of my init file (use-package tex-site :ensure auctex :mode ("\\.tex\\'" . latex-mode) :bind (:map LaTeX-mode-map ("<f5> <f5>" . TeX-command-save-buffer-and-...
1
vote
0answers
2k views

Proper use of use-package

I am using the following init file to download and load packages from melpa-stable in fresh Emacs installations: (require 'package) (add-to-list 'package-archives '("melpa-stable" . "https://stable....
1
vote
1answer
89 views

Cannot run cquery

I have been using rtags as my primary C++ mode, but I found that it's performance is not satisfying for large code bases e.g. Linux kernel. It takes more than 5 seconds to find definitions. This it ...
1
vote
0answers
41 views

binding a minor mode's function to already defined key in global-map

(use-package anaconda-mode :defer t :config (progn (unbind-key "M-." anaconda-mode-map) (unbind-key "C-_" global-map)) :bind ((:map anaconda-mode-map ("C-_" . anaconda-...
1
vote
1answer
1k views

use-package and package-initialize problem with emacs27

I'm having quite a bit of trouble getting use-package to automatically install packages in emacs27 I deleted a package using package-delete and restarted emacs. On emacs26, use-package would ...
1
vote
0answers
461 views

How to use use-package's :bind to bind key-chords

(use-package whatever :bind (("C-a b" . aabb))) can be used to replace (global-set-key (kbd "C-a b" 'aabb)) Can use-package's :bind be used to replace (key-chord-define-global "ab" 'aabb) ?
1
vote
0answers
915 views

How to debug “company backend” initialization problems?

I am getting error messages initializing some company backend packages, but messages only appear in the *Messages* buffer, like: Company backend 'company-web' could not be initialized: Symbol's ...
1
vote
0answers
70 views

Packages only working “once” after install

I'm trying to get git-gutter-fringe+ working under emacs 24.5.5 on OS X, but I'm having some trouble. In general, it works fine upon install, but on subsequent restarts the package is not loaded. I'm ...
0
votes
0answers
27 views

Add autoloading use-package keywords to a fork of general.el

I have forked general.el to add a few autoloaded keywords of my own, by using the :general keyword use-package functions as a template. However, this bit of code, originally used for :general, is not ...
0
votes
0answers
36 views

require 'use-package: cannot load file on second time as per flycheck

For my require 'use-package, I'm getting cannot load file error but I really don't understand why. In my ~/.emacs.d/init.el file, at the very top, I have (eval-when-compile (require 'use-package)) (...
0
votes
0answers
13 views

I would like to couple two autoloaded functions, while using use-package

I would like to couple elm-format-on-save-mode and elm-preview-main, so that when I save a file it gets formatted and compiled, and the generated html get's previewed. (use-package elm-mode :config ...
0
votes
0answers
28 views

Failed to verify signature gnu-elpa-keyring-update

CentOS 7, Emacs 25.1 http://elpa.gnu.org/packages/gnu-elpa-keyring-update.html M-x package-install RET gnu-elpa-keyring-update RET But I get error: Failed to verify signature gnu-elpa-keyring-update-...
0
votes
0answers
139 views

No such file or directory: dash

Since few days I am getting this error but I don't remember changing anything in my configuration. I have dash installed on my system. I was thinking then it needs dash Emacs package, but after ...
0
votes
0answers
41 views

Configure ryo-modal to execute function from evil-ex-commands alist

I would like some help in configuring ryo-modal, via use-package, to run a command from the evil-ex-commands alist, using ("ll" (cdr (assoc "wq" evil-ex-commands))); however, I'm ...
0
votes
0answers
50 views

How to unbind the key for a specific map?

I use org, smartparens and use-package altogether. Sometimes I need to delete a heading and its subheadings. Without smartparens package I use the C-k key and it allows me to delete the heading itself ...
0
votes
0answers
46 views

Getting uninstall packages offer after package updates

Each time I call up list-package and update, I get this message after the updates Operation finished. Packages that are no longer needed: 43. Type ‘M-x package-autoremove’ to remove them Below is ...
0
votes
3answers
56 views

Why isnt `(require 'use-package)` triggered when I open Emacs?

So, here is my init.el: (add-to-list 'load-path "~/.emacs.d/site-lisp/use-package") (require 'use-package) (with-eval-after-load 'info (info-initialize) (add-to-list 'Info-directory-...
0
votes
0answers
57 views

Autoloading of evil fails: failed to define function evil

I get the error: run-hooks: Autoloading file /home/xxxx/.emacs.d/elpa/evil-collection-20210203.811/modes/unimpaired/evil-collection-unimpaired.elc failed to define function evil at startup. Here is ...
0
votes
0answers
49 views

Post installation hooks with use-package

I like to use use-package to automatically install and manage packages. On a fresh emacs install, this works perfectly fine except when a package needs me to manually run something. One example is the ...
0
votes
0answers
18 views

Error when activating org-mode unless speedbar loaded first

Whenever I open an org file before the speedbar package is loaded, org-mode produces the following error: Symbol’s function definition is void: speedbar-add-supported-extension The error above is ...
0
votes
0answers
196 views

use-package and straight.el: can't load a package that exists locally?

I'm using the awesome use-package and the awesome straight.el to manage packages. I'd like to use xahk-mode. I've checked in the 'repos' directory of straight and I can see a folder named xahk-mode ...
0
votes
1answer
98 views

use-package: autoload function outside the main package file

I am trying to install simplenote2 to read my org files on my phone. The official setup method is: (require 'simplenote2) (setq simplenote2-email "email@example.com") (setq simplenote2-password "...
0
votes
0answers
140 views

use-package deferred loading for extensions not in :mode

When moving to use-package, I'd to replace (require 'markdown-mode) (add-to-list 'auto-mode-alist '("\\.md\\'" . markdown-mode)) with (use-package markdown-mode :mode "\\.md\\'" :config ... ) ...
0
votes
1answer
196 views

Avoid installing package to “.emacs.d/elpa/” directory

I install yasnippet from the repository using the package manager and I add the corresponding directory to the load path before (use-package yasnippet): ;; Add all subdirs in site-lisp to the ...
0
votes
0answers
704 views

org-mode function definition is void

I install org-mode using use-package via the orgmode.org elpa archive. In the past month I've received Symbol’s function definition is void messages such as: org-capture-select-template: Symbol’s ...
0
votes
0answers
2k views

Spacemacs error when loading `.spacemacs` which uses package `flycheck`

I added the following at the end of my ~/.spacemacs file: (use-package flycheck :defer t :init (global-flycheck-mode)) When I do this, I get Spacemacs encountered an error while loading your '/...
0
votes
0answers
156 views

package-install - not match

Window 10 (64 bit), Emacs 26.1 When in *scratch* buffer I run: M-x package-install multiple-cursors I get error No match But when I go to package manager I success found and install package ...
0
votes
0answers
86 views

use-package - load package depending on the OS username

I am not a Java guy at all, but I mess with it quite often for university reasons. I have used this awesome post by peter goldsborough to set up eclim. Which is nice! But this also requires a lot of ...
0
votes
3answers
983 views

use-package can't load package at startup

When I start Emacs I get the error message Error (use-package): Cannot load counsel But when I open init.el in a buffer and run eval-buffer everything works fine. What I'm doing wrong? My Emacs ...